Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.util
[Java] Class StreamCharBuffer.StreamCharBufferReader

    java.lang.Object
      java.io.Reader
          org.codehaus.groovy.grails.web.util.StreamCharBuffer.StreamCharBufferReader

    public final class StreamCharBuffer.StreamCharBufferReader
    extends java.io.Reader

This is the java.io.Reader implementation for StreamCharBuffer

Authors:
  Lari Hotari, Sagire Software Oy

Constructor Summary
`StreamCharBuffer.StreamCharBufferReader(boolean removeAfterReading)`

Method Summary
`void` | `close()`
`StreamCharBuffer` | `getBuffer()`
`int` | `getReadLenLimit(int askedAmount)`
`int` | `read(char[] b, int off, int len)`
`boolean` | `ready()`

Methods inherited from class java.io.Reader
java.io.Reader#close(), java.io.Reader#mark(int), java.io.Reader#reset(), java.io.Reader#read([C, int, int), java.io.Reader#read(), java.io.Reader#read([C), java.io.Reader#read(java.nio.CharBuffer), java.io.Reader#skip(long), java.io.Reader#markSupported(), java.io.Reader#ready(), java.io.Reader#wait(), java.io.Reader#wait(long), java.io.Reader#wait(long, int), java.io.Reader#equals(java.lang.Object), java.io.Reader#toString(), java.io.Reader#hashCode(), java.io.Reader#getClass(), java.io.Reader#notify(), java.io.Reader#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### StreamCharBuffer.StreamCharBufferReader

    public StreamCharBuffer.StreamCharBufferReader(boolean removeAfterReading)

Method Detail

### close

    @Override
    public void close()

### getBuffer

    public final StreamCharBuffer getBuffer()

### getReadLenLimit

    public int getReadLenLimit(int askedAmount)

### read

    @Override
    public final int read(char[] b, int off, int len)

### ready

    @Override
    public boolean ready()

Groovy Documentation